# -*- coding: utf-8 -*-
from setuphelpers import *
import re


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    dict_arch = {"x64":"-x64-Setup"}
    url_api = "https://api.github.com/repos/lyswhut/lx-music-desktop/releases/latest"

     # Get data from API
    releases_dict = json.loads(wgets(url_api, proxies=proxies))
    exe_found = False  # Flag pour indiquer la découverte d'un fichier .exe
    #target_extension = control.target_os + ".exe"
    for release in releases_dict:
        if exe_found:
            break
        for asset in releases_dict["assets"]:
            if asset["browser_download_url"].endswith('.exe') and dict_arch[control.architecture] in asset["browser_download_url"] :
                url_download = asset["browser_download_url"]
                last_version = releases_dict["name"].split("v")[-1]
                filename= url_download.split('/')[-1]
                exe_found = True  # Mettre à jour le flag pour indiquer qu'un .exe a été trouvé
                break


   
    if not isfile(filename):
        wget(url_download,filename,proxies=proxies)

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.exe'):
        if f != filename:
            remove_file(f)

    version = get_version_from_binary(filename)

    control.set_software_version(last_version)
    control.save_control_to_wapt()

    return package_updated
